<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_comprobante{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_comprobante;
	private $id_empresa;
	private $tipo_comprobante;
	private $numero;
	private $descripcion;
	private $fecha_creacion;
	private $fecha_modificacion;
	private $fecha_proceso;
	private $estado;
	private $id_centro_costo;
	private $id_documento;
	private $ano_proceso;
	private $mes_proceso;
	private $fecha_anulacion;
	private $id_sucursal;
	
	private $nombre_tipo_comprobante;
	private $nombre_estado;
	
	private $provisorio_estado_selected;
	private $contabilizable_estado_selected;
	
	private $fecha_creacion_cal;
	private $fecha_proceso_display;
	
	//CONSTRUCTOR
	public function __construct ($Cont_comprobante_BD)
	{
		if ($Cont_comprobante_BD){
			$this->id_comprobante = $Cont_comprobante_BD->get_id_comprobante();
			$this->id_empresa = $Cont_comprobante_BD->get_id_empresa();
			$this->tipo_comprobante = $Cont_comprobante_BD->get_tipo_comprobante();
			$this->numero = $Cont_comprobante_BD->get_numero();
			$this->descripcion = $Cont_comprobante_BD->get_descripcion();
			$this->fecha_creacion = $Cont_comprobante_BD->get_fecha_creacion();
			$this->fecha_modificacion = $Cont_comprobante_BD->get_fecha_modificacion();
			$this->fecha_proceso = $Cont_comprobante_BD->get_fecha_proceso();
			$this->estado = $Cont_comprobante_BD->get_estado();
			$this->id_centro_costo = $Cont_comprobante_BD->get_id_centro_costo();
			$this->id_documento = $Cont_comprobante_BD->get_id_documento();
			$this->ano_proceso = $Cont_comprobante_BD->get_ano_proceso();
			$this->mes_proceso = $Cont_comprobante_BD->get_mes_proceso();
			$this->fecha_anulacion = $Cont_comprobante_BD->get_fecha_anulacion();
			$this->fecha_proceso_display = $this->mes_proceso."/".$this->ano_proceso;
			$this->id_sucursal = $Cont_comprobante_BD->get_id_sucursal();
			
			switch ($this->tipo_comprobante) {
				case 1:$this->nombre_tipo_comprobante = "Ingreso";break;
				case 2:$this->nombre_tipo_comprobante = "Egreso";break;
				case 3:$this->nombre_tipo_comprobante = "Traspaso";break;
				case 4:$this->nombre_tipo_comprobante = "CC";break;
				case 5:$this->nombre_tipo_comprobante = "CV";break;
				case 6:$this->nombre_tipo_comprobante = "CH";break;
				case 7:$this->nombre_tipo_comprobante = "CR";break;
				case 8:$this->nombre_tipo_comprobante = "CB";break;
			}
			
			switch ($this->estado) {
				case 1:$this->nombre_estado = "Provisorio"; $this->provisorio_estado_selected = "selected"; break;
				case 2:$this->nombre_estado = "Contabilizable"; $this->contabilizable_estado_selected = "selected"; break;
				case 0:$this->nombre_estado = "Nulo";break;
			}
			
			$this->fecha_creacion_cal = convertirFechaBD_fecha($this->fecha_creacion);
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function tieneComprobantePago(){
		$filtro["id_comprobante_contable"] = $this->id_comprobante;
		$clog_cp = new Controlador_Logico_Cont_comprobante_pago();
		$listado_cpago = $clog_cp->getListadoCont_comprobante_pago($filtro);
		if ($listado_cpago)
			return true;
		else
			return false;
	}
	
	public function get_nombre_tipo_comprobante_ext(){
		switch($this->nombre_tipo_comprobante){
			case "CC": return "Control Compra";break;
			case "CV": return "Control Venta";break;
		}
	}

	public function get_fecha_proceso(){
		return ($this->fecha_proceso);
	}
	
	public function get_fecha_creacion_cal(){
		return ($this->fecha_creacion_cal);
	}
	
	public function get_provisorio_estado_selected(){
		return ($this->provisorio_estado_selected);
	}	
	
	public function get_contabilizable_estado_selected(){
		return ($this->contabilizable_estado_selected);
	}
	
	public function get_nombre_estado(){
		return ($this->nombre_estado);
	}
	
	public function get_nombre_tipo_comprobante(){
		return ($this->nombre_tipo_comprobante);
	}
	
	public function get_id_comprobante(){
		return ($this->id_comprobante);
	}
	
	public function get_id_empresa(){
		return ($this->id_empresa);
	}	

	public function get_tipo_comprobante(){
		return ($this->tipo_comprobante);
	}

	public function get_numero(){
		return ($this->numero);
	}

	public function get_descripcion(){
		return ($this->descripcion);
	}

	public function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}

	public function get_fecha_modificacion(){
		return ($this->fecha_modificacion);
	}

	public function get_fecha_proceso_display(){
		return ($this->fecha_proceso_display);
	}
	
	public function get_fecha_anulacion(){
		return ($this->fecha_anulacion);
	}	

	public function get_estado(){
		return ($this->estado);
	}

	public function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}

	public function get_id_documento(){
		return ($this->id_documento);
	}

	public function get_ano_proceso(){
		return ($this->ano_proceso);
	}

	public function get_mes_proceso(){
		return ($this->mes_proceso);
	}

	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_comprobante($id_comprobante){
		$this->id_comprobante = $id_comprobante;
	}

	public function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}

	public function set_tipo_comprobante($tipo_comprobante){
		$this->tipo_comprobante = $tipo_comprobante;
	}

	public function set_numero($numero){
		$this->numero = $numero;
	}

	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}

	public function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}

	public function set_fecha_modificacion($fecha_modificacion){
		$this->fecha_modificacion = $fecha_modificacion;
	}

	public function set_fecha_proceso($fecha_proceso){
		$this->fecha_proceso = $fecha_proceso;
	}

	public function set_fecha_anulacion($fecha_anulacion){
		$this->fecha_anulacion = $fecha_anulacion;
	}
		
	public function set_estado($estado){
		$this->estado = $estado;
	}

	public function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}

	public function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}

	public function set_ano_proceso($ano_proceso){
		$this->ano_proceso = $ano_proceso;
	}

	public function set_mes_proceso($mes_proceso){
		$this->mes_proceso = $mes_proceso;
	}

	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
