<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Toma_inventario{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_toma_inventario;
	var $id_bodega;
	var $fecha_digitacion;
	var $fecha_toma;
	var $id_responsable;
	var $observacion;
	var $estado;
	var $nombre_bodega;
	var $nombre_estado;
	var $id_sucursal;
	var $nombre_sucursal;
	
	//CONSTRUCTOR
	/**
	* @return Toma_inventario
	* @param $id_toma_inventario;
	* @param $id_bodega;
	* @param $fecha_digitacion;
	* @param $fecha_toma;
	* @param $id_responsable;
	* @param $observacion;
	* @param $estado;
	* @desc Constructor de la Clase
	*/
	
	function Toma_inventario ($id_bodega, $fecha_digitacion, $fecha_toma, $id_responsable, $observacion, $estado, $id_toma_inventario=0)
	{
		$this->id_toma_inventario = $id_toma_inventario;
		$this->id_bodega = $id_bodega;
		$this->fecha_digitacion = $fecha_digitacion;
		$this->fecha_toma = $fecha_toma;
		$this->id_responsable = $id_responsable;
		$this->observacion = $observacion;
		$this->estado = $estado;
		
		$bodega = new Bodega();
		$bodega = Bodega_getBodega($id_bodega);
		
		if ($bodega){
			$this->nombre_bodega = $bodega->get_descripcion();
			
			switch ($estado){
				case 0: $this->nombre_estado = "En Curso";	break;
				case 1: $this->nombre_estado = "Finalizado";	break;			
				case 2: $this->nombre_estado = "Ajustado";	break;	
			}
			
			$sucursal = new Sucursal();
			$sucursal = Sucursal_getSucursal($bodega->get_id_sucursal());
			$this->id_sucursal = $sucursal->get_id_sucursal();
			$this->nombre_sucursal = $sucursal->get_descripcion();
		}
		
	}
	

	function resetear_kardex(){
		$id_bodega	= $this->get_id_bodega();
		$nro_doc	= $this->get_id_toma_inventario();
		$descripcion	= "TOMA DE INVENTARIO";
		$tipo		= 5;
		
		$filtro["id_bodega"] = $id_bodega;
		$listado_productos = Inventario_getListadoInventario_toma($filtro);
		$mov = new Movimiento_Inventario();

		foreach ($listado_productos as $p){
			$id_producto	= $p->get_id_producto();
			$entrada	= $p->get_stock_actual();
			$salida		= 0;

			
			$mov->registrar_movimiento($id_bodega, $id_producto, $tipo, $entrada, $salida, $nro_doc, $descripcion);
		}

	}
	
	
	


//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return id_toma_inventario
* @desc Retorna la variable id_toma_inventario
*/

	function get_id_toma_inventario(){
		return ($this->id_toma_inventario);
	}
	
	/**
	* @return id_bodega
	* @desc Retorna la variable id_bodega
	*/
	
	function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	/**
	* @return fecha_digitacion
	* @desc Retorna la variable fecha_digitacion
	*/
	
	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}
	
	/**
	* @return fecha_toma
	* @desc Retorna la variable fecha_toma
	*/
	
	function get_fecha_toma(){
		return ($this->fecha_toma);
	}
	
	/**
	* @return id_responsable
	* @desc Retorna la variable id_responsable
	*/
	
	function get_id_responsable(){
		return ($this->id_responsable);
	}
	
	/**
	* @return observacion
	* @desc Retorna la variable observacion
	*/
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	/**
	* @return estado
	* @desc Retorna la variable estado
	*/
	
	function get_estado(){
		return ($this->estado);
	}
	
	
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return void
* @desc Setea la variable id_toma_inventario
*/

	function set_id_toma_inventario($id_toma_inventario){
		$this->id_toma_inventario = $id_toma_inventario;
	}
	
	/**
	* @return void
	* @desc Setea la variable id_bodega
	*/
	
	function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	/**
	* @return void
	* @desc Setea la variable fecha_digitacion
	*/
	
	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}
	
	/**
	* @return void
	* @desc Setea la variable fecha_toma
	*/
	
	function set_fecha_toma($fecha_toma){
		$this->fecha_toma = $fecha_toma;
	}
	
	/**
	* @return void
	* @desc Setea la variable id_responsable
	*/
	
	function set_id_responsable($id_responsable){
		$this->id_responsable = $id_responsable;
	}
	
	/**
	* @return void
	* @desc Setea la variable observacion
	*/
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	/**
	* @return void
	* @desc Setea la variable estado
	*/
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Toma_inventario_getListadoToma_inventario($id=0){
		return Toma_inventario_Fachada::getListadoToma_inventario($id);
	}
	
	function Toma_inventario_getToma_inventario($id_toma_inventario){
		return Toma_inventario_Fachada::getToma_inventario($id_toma_inventario);
	}
	
	function Toma_inventario_guardarToma_inventario($objeto){
		return Toma_inventario_Fachada::guardarToma_inventario($objeto);
	}
	
	function Toma_inventario_actualizarToma_inventario($objeto){
		return Toma_inventario_Fachada::actualizarToma_inventario($objeto);
	}
	
	function Toma_inventario_eliminarToma_inventario($id_toma_inventario){
		return Toma_inventario_Fachada::eliminarToma_inventario($id_toma_inventario);
	}
	
	/**
	* @return array
	* @desc Parsea el listado de productos y lo retorna ordenado por familias.
	*/
	function ordenar_productos($listado_inventario){
		
		if ($listado_inventario){
			$id_subfamilia 		= $listado_inventario[0]->id_subfamilia;
			$id_familia 		= $listado_inventario[0]->id_familia;
			$nombre_subfamilia 	= $listado_inventario[0]->nombre_subfamilia;
			$nombre_familia 	= $listado_inventario[0]->nombre_familia;
			
			$item = new Inventario();	
			foreach ($listado_inventario as $item){		
					
						
				if ($item->id_subfamilia != $id_subfamilia){
					$nodo_subfamilia["id"] 					= $id_subfamilia;
					$nodo_subfamilia["subfamilia"] 			= $nombre_subfamilia;
					$nodo_subfamilia["listado_productos"] 	= $listado_productos;
					
					$listado_subfamilias[] = $nodo_subfamilia;
					
					$id_subfamilia = $item->id_subfamilia;
					$nombre_subfamilia = $item->nombre_subfamilia;
					$listado_productos = null;
				}
				
				if ($item->id_familia != $id_familia){
					
					$nodo_familia["id"] 					= $id_familia;
					$nodo_familia["familia"] 				= $nombre_familia;
					$nodo_familia["listado_subfamilias"]	= $listado_subfamilias;
					
					$listado_familias[] = $nodo_familia;
					
					$id_familia = $item->id_familia;
					$nombre_familia = $item->nombre_familia;
					$listado_subfamilias = null;
				}
				
				$nodo["producto"] 		= $item->nombre_producto;
				$nodo["id"] 			= $item->id_inventario;
				$nodo["id_producto"]	= $item->id_producto;
				$nodo["conteo"]			= $item->conteo_fisico;
				$nodo["stock_actual"]	= $item->get_stock_actual();
				$listado_productos[]	= $nodo;					
			}

			
			
			$nodo_subfamilia["id"] 					= $id_subfamilia;
			$nodo_subfamilia["subfamilia"] 			= $nombre_subfamilia;
			$nodo_subfamilia["listado_productos"] 	= $listado_productos;
			
			$listado_subfamilias[] = $nodo_subfamilia;
			
			
			
			$nodo_familia["id"] 					= $id_familia;
			$nodo_familia["familia"] 				= $nombre_familia;
			$nodo_familia["listado_subfamilias"]	= $listado_subfamilias;
			
			$listado_familias[] = $nodo_familia;
			
			return $listado_familias;
		}
		
	}
	
?>
