<?

$queries["GET_LISTADO_EMPRESAS_TOP"] = "
SELECT vv.id_empresa, c.nombre as nombre_empresa, c.rut, SUM(valor_neto) as total_venta, COUNT(valor_neto) as cantidad
FROM vale_venta as vv, cont_cliente_proveedor as c
WHERE vv.id_empresa != 0
AND vv.id_empresa != 277
AND vv.id_empresa = c.id_cliente_proveedor
AND vv.id_sucursal LIKE '%id_sucursal%'
AND vv.fecha_emision >= '%fecha_ini%' AND vv.fecha_emision <= '%fecha_fin%'
GROUP BY vv.id_empresa
ORDER BY total_venta DESC
";

$queries["GET_LISTADO_PRODUCTOS_NO_VENDIDOS"] = "
SELECT  e.nombre, i.id_producto, p.descripcion, p.codigo_barra, i.precio_venta_neto as precio_venta, i.stock_actual, i.ultimo_precio_compra, i.id_sucursal, i.id_bodega, s.descripcion as descripcion_sucursal, b.descripcion as descripcion_bodega, i.stock_actual*i.ultimo_precio_compra as total_costo, i.stock_actual*p.precio as total_venta,i.nro_orden_compra
FROM inventario as i, producto as p, sucursal s, bodega b, empresa e
WHERE i.stock_actual > 0
AND p.id_proveedor = e.id_empresa
AND i.id_producto = p.id_producto
AND i.id_sucursal = s.id_sucursal
AND i.id_bodega = b.id_bodega
AND i.id_sucursal = '%id_sucursal%' 
AND i.id_bodega =  '%id_bodega%'
AND p.id_familia <> 8
AND p.id_proveedor like '%id_proveedor%'
AND NOT EXISTS (
SELECT DISTINCT dvv.id_producto
FROM vale_venta as vv, detalle_vale_venta as dvv
WHERE i.id_producto = dvv.id_producto 
AND dvv.id_vale_venta = vv.id_vale_venta
AND vv.fecha_emision >= '%fecha_inicio%' 
AND vv.fecha_emision <=  '%fecha_termino%'
AND vv.id_sucursal = '%id_sucursal%' 
) ORDER BY %order_by%
";


$queries["GET_LISTADO_PRODUCTOS_NO_VENDIDOS_CONSOLIDADO_OLD"] = "
SELECT  sum(i.stock_actual) as stock_consolidado, sum(i.stock_actual*p.ultimo_precio_compra) as valorizacion, cp.nombre, i.id_producto, p.descripcion, p.codigo_barra, i.precio_venta_neto as precio_venta, i.stock_actual, i.ultimo_precio_compra, i.id_sucursal, i.id_bodega, s.descripcion as descripcion_sucursal, b.descripcion as descripcion_bodega, i.stock_actual*i.ultimo_precio_compra as total_costo, i.stock_actual*p.precio as total_venta,i.nro_orden_compra
FROM inventario as i, producto as p, sucursal s, bodega b, empresa cp
WHERE i.stock_actual != 0
AND p.id_proveedor = cp.id_empresa
AND i.id_producto = p.id_producto
AND i.id_sucursal = s.id_sucursal
AND i.id_bodega = b.id_bodega
AND NOT EXISTS (
SELECT DISTINCT dvv.id_producto
FROM vale_venta as vv, detalle_vale_venta as dvv
WHERE i.id_producto = dvv.id_producto 
AND dvv.id_vale_venta = vv.id_vale_venta
AND vv.fecha_emision >= '%fecha_inicio%' 
AND vv.fecha_emision <=  '%fecha_termino%'
) 
GROUP BY p.id_proveedor
ORDER BY %order_by%
";

$queries["GET_LISTADO_PRODUCTOS_NO_VENDIDOS_CONSOLIDADO"] = "
select f.descripcion as descripcion_familia, i.*, p.*, sf.descripcion as descripcion_subfamilia , b.descripcion as descripcion_bodega
from inventario i, producto p, familia f, subfamilia sf, bodega b
where p.id_producto = i.id_producto
and p.id_familia like '%id_familia%'
and i.id_bodega like %id_bodega%
and p.id_familia = f.id_familia
and i.id_bodega = b.id_bodega
and p.id_subfamilia = sf.id_subfamilia
and i.stock_actual %stock_actual%
AND p.id_producto not in 
(select mi.id_producto from movimiento_inventario mi where id_bodega like %id_bodega% and fecha >= '20240101' and id_tipo_movimiento = 3)
order by descripcion_familia,descripcion_subfamilia, descripcion ASC";


$queries["GET_LISTADO_PRODUCTOS_NO_VENDIDOS_CONSOLIDADO_ejemplo"] = "
select * from inventario i, producto p
where p.id_producto = i.id_producto
and p.id_familia like 7 
and i.id_bodega like 11
AND p.id_producto not in 
(select mi.id_producto from movimiento_inventario mi where id_bodega like 11 and fecha >= '20240101' and id_tipo_movimiento = 3)";


$queries["GET_LISTADO_PRODUCTOS_NO_VENDIDOS_CONSOLIDADO2"] = "
SELECT * from producto p, empresa cp
WHERE d.id_proveedor = cp.id_empresa
AND id_producto NOT EXISTS 
(
SELECT  d.id_producto
FROM datos_ultima_venta d
WHERE d.fecha_emision >= '%fecha_inicio%' 
)
GROUP BY p.id_proveedor
ORDER BY cp.nombre ASC
";

$queries["GET_INVENTARIO_VALORIZADO"] = "
SELECT 
b.descripcion as nombre_bodega, 
p.codigo_barra as codigo_producto, 
p.descripcion as nombre_producto, 
i.conteo_fisico as stock_actual, 
p.ultimo_precio_compra, 
sf.descripcion as nombre_subfamilia, 
f.descripcion as nombre_familia
FROM inventario as i, producto as p, bodega as b, subfamilia as sf, familia as f
WHERE i.id_bodega = '%id_bodega%'
AND i.stock_actual != 0
AND i.id_producto = p.id_producto
AND p.id_familia LIKE '%id_familia%'
AND p.id_subfamilia LIKE '%id_subfamilia%'
AND i.id_bodega = b.id_bodega
AND f.id_familia = p.id_familia
AND sf.id_subfamilia = p.id_subfamilia
AND p.codigo_barra LIKE '%codigo_barra%'
AND p.descripcion LIKE '%%descripcion%%'
";

$queries["GET_INVENTARIO_VALORIZADO_MENSUAL"] = "
select p.codigo_barra, p.descripcion, i.stock_actual, b.descripcion as bodega_descripcion, p.ultimo_precio_compra,p.ultimo_precio_compra*i.stock_actual as valorizacion  
from producto p, inventario i, bodega b, sucursal s, familia f
where p.id_producto = i.id_producto
and i.id_bodega = b.id_bodega
and s.id_sucursal = i.id_sucursal
and f.id_familia = p.id_familia
and p.id_familia <> 8
and (p.ultimo_precio_compra <> 0 or i.ultimo_precio_compra <> 0) order by b.descripcion ASC";


$queries["GET_LISTADO_INVENTARIO_STOCK_CRITICO"] = "
SELECT 
b.descripcion as nombre_bodega, 
p.codigo_barra as codigo_producto, 
p.descripcion as nombre_producto, 
i.stock_actual, 
i.stock_minimo, 
i.stock_critico, 
p.ultimo_precio_compra, 
sf.descripcion as nombre_subfamilia, 
f.descripcion as nombre_familia,
u.codigo_unidad
FROM inventario as i, producto as p, bodega as b, subfamilia as sf, familia as f, unidad as u
WHERE i.id_producto = p.id_producto
AND i.id_bodega = b.id_bodega
AND f.id_familia = p.id_familia
AND sf.id_subfamilia = p.id_subfamilia
AND i.stock_actual <= i.stock_minimo
AND i.id_bodega LIKE '%id_bodega%'
AND u.id_unidad = p.id_unidad
AND i.stock_minimo <> 0
and i.stock_critico <> 0
ORDER BY p.descripcion
";

$queries["GET_REPORTE_VENTAS_VENDEDOR"] = "
SELECT sum(p.monto) as total, v.nombre, v.apellido, v.nombre_corto
from pago p, vale_venta vv, vendedor v
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and p.id_sucursal = '%id_sucursal%'
and p.tipo_documento like '%tipo_documento%'
and p.estado_pago <> 1
group by vv.id_vendedor
order by v.nombre
";


$queries["GET_REPORTE_VENTAS_VENDEDOR22222"] = "
SELECT sum(p.monto) as total_boletas, v.nombre, v.apellido, v.nombre_corto, s.descripcion, p.tipo_documento, vv.id_vendedor, vv.id_sucursal
from pago p, vale_venta vv, vendedor v, sucursal s, 
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and s.id_sucursal = p.id_sucursal
and s.id_sucursal = vv.id_sucursal
and p.id_sucursal like '%id_sucursal%'
and p.tipo_documento like '%tipo_documento%'
and p.estado_pago <> 1
group by vv.id_sucursal, vv.id_vendedor, p.tipo_documento
order by s.descripcion,v.nombre";

$queries["GET_REPORTE_VENTAS_VENDEDOR_BOLETAS"] = "
SELECT sum(p.monto) as monto_boletas, v.nombre, v.apellido, v.nombre_corto, s.descripcion, vv.id_vendedor, vv.id_sucursal
from pago p, vale_venta vv, vendedor v, sucursal s, ventas ven
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and s.id_sucursal = vv.id_sucursal
and p.id_sucursal like '%id_sucursal%'
and v.id_vendedor like '%id_vendedor%'
and p.tipo_documento like '7'
and p.id_venta = ven.id_venta
and ven.numero_venta <> 0
group by vv.id_sucursal, vv.id_vendedor, p.tipo_documento
order by s.descripcion,v.nombre";

$queries["GET_REPORTE_VENTAS_VENDEDOR_BOLETAS2"] = "
SELECT sum(p.monto) as monto_boletas, v.nombre, v.apellido, v.nombre_corto, vv.id_vendedor
from pago p, vale_venta vv, vendedor v, ventas ven
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and v.id_vendedor like '%id_vendedor%'
and p.id_venta = ven.id_venta
and p.tipo_documento like '7'
and ven.numero_venta <> 0
group by vv.id_vendedor, p.tipo_documento
order by v.nombre";

$queries["GET_REPORTE_VENTAS_VENDEDOR_GUIAS"] = "
SELECT sum(round(dgd.total*1.19)) as monto_guias, v.nombre, v.apellido, v.nombre_corto, s.descripcion, gd.id_vendedor, gd.id_sucursal
from guia_despacho gd, detalle_guia_despacho dgd, vendedor v, sucursal s
where gd.id_vendedor = v.id_vendedor
and gd.id_guia_despacho = dgd.id_guia_despacho
and gd.fecha_documento >= '%fecha1%'
and gd.fecha_documento <= '%fecha2%'
and s.id_sucursal = gd.id_sucursal
and gd.id_sucursal like '%id_sucursal%'
and v.id_vendedor like '%id_vendedor%'
and gd.estado <> 0
and gd.estado <> 9
group by gd.id_vendedor
order by v.nombre";

$queries["GET_REPORTE_VENTAS_VENDEDOR_GUIAS2"] = "
SELECT sum(round(dgd.total*1.19)) as monto_guias, v.nombre, v.apellido, v.nombre_corto, s.descripcion, gd.id_vendedor, gd.id_sucursal
from guia_despacho gd, detalle_guia_despacho dgd, vendedor v, sucursal s
where gd.id_vendedor = v.id_vendedor
and gd.id_guia_despacho = dgd.id_guia_despacho
and gd.fecha_documento >= '%fecha1%'
and gd.fecha_documento <= '%fecha2%'
and s.id_sucursal = gd.id_sucursal
and gd.id_sucursal like '%id_sucursal%'
and v.id_vendedor like '%id_vendedor%'
and gd.estado <> 0
and gd.estado <> 9
group by gd.id_vendedor
order by s.descripcion,v.nombre";

$queries["GET_REPORTE_NC_VENDEDOR_BOLETAS"] = "
SELECT sum(p.monto) as monto_nc_boletas, v.nombre, v.apellido, v.nombre_corto, s.descripcion
from pago p, vale_venta vv, vendedor v, sucursal s
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and s.id_sucursal = vv.id_sucursal
and vv.id_sucursal like '%id_sucursal%'
and vv.id_vendedor like '%id_vendedor%'
and p.tipo_documento like '7'
and p.estado_pago = 1
group by vv.id_sucursal, vv.id_vendedor, p.tipo_documento
order by s.descripcion,v.nombre";





$queries["GET_REPORTE_NC_VENDEDOR_BOLETAS2"] = "
SELECT sum(p.monto) as monto_nc_boletas, v.nombre, v.apellido, v.nombre_corto
from pago p, vale_venta vv, vendedor v
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and vv.id_vendedor like '%id_vendedor%'
and p.tipo_documento like '7'
and p.estado_pago = 1
group by vv.id_vendedor, p.tipo_documento
order by v.nombre";


$queries["GET_REPORTE_NC_VENDEDOR_GUIAS"] = "
SELECT sum(p.monto) as monto_nc_guias, v.nombre, v.apellido, v.nombre_corto, s.descripcion
from pago p, vale_venta vv, vendedor v, sucursal s
where p.id_vale_venta = vv.id_vale_venta
and vv.id_vendedor = v.id_vendedor
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and s.id_sucursal = vv.id_sucursal
and vv.id_sucursal like '%id_sucursal%'
and vv.id_vendedor like '%id_vendedor%'
and p.tipo_documento like '2'
and p.estado_pago = 1
group by vv.id_sucursal, vv.id_vendedor, p.tipo_documento
order by s.descripcion,v.nombre";

$queries["GET_REPORTE_VENTAS_FORMA_PAGO"] = "
SELECT sum(p.monto) as total, fp.descripcion
from pago p, forma_pago fp
where p.medio_pago = fp.id_forma_pago
and p.fecha >= '%fecha1%'
and p.fecha <= '%fecha2%'
and p.id_sucursal like '%id_sucursal%'
and p.tipo_documento like '%tipo_documento%'
and p.tipo_documento <> 8
and p.id_usuario_anulacion = 0
and p.estado_pago = 0
group by p.medio_pago
order by fp.descripcion
";





$queries["GET_REPORTE_PRODUCCION"] = "
(SELECT r.id_tecnico, t.nombre, count(*) as cantidad
FROM reserva_laboratorio as r, tecnico as t
WHERE SUBSTR(r.fecha,1,8) >= '%fecha1%'
AND SUBSTR(r.fecha,1,8) <= '%fecha2%'
AND r.id_tecnico = t.id_tecnico
GROUP BY id_tecnico)
UNION
(SELECT p.id_tecnico, p.nombre_tecnico, SUM(cantidad) as cantidad
FROM produccion_extra as p, tecnico as t
WHERE SUBSTR(p.fecha,1,8) >= '%fecha1%'
AND SUBSTR(p.fecha,1,8) <= '%fecha2%'
AND p.id_tecnico = t.id_tecnico
GROUP BY p.id_tecnico)
";

$queries["GET_REPORTE_PRODUCCION_TECNICO"] = "
SELECT r.id_tecnico, t.nombre, nro_sobre, nombre_paciente, id_vale_venta, fecha
FROM reserva_laboratorio as r, tecnico as t
WHERE SUBSTR(r.fecha,1,8) >= '%fecha1%'
AND SUBSTR(r.fecha,1,8) <= '%fecha2%'
AND r.id_tecnico = t.id_tecnico
AND r.id_tecnico = '%id_tecnico%'
ORDER BY r.fecha DESC";


$queries["GET_REPORTE_PRODUCCION_TECNICO_EXTRA"] = "
SELECT nombre_tecnico,  cantidad, fecha, p.observacion
FROM produccion_extra as p, tecnico t
WHERE SUBSTR(p.fecha,1,8) >= '%fecha1%'
AND SUBSTR(p.fecha,1,8) <= '%fecha2%'
AND p.id_tecnico = t.id_tecnico
AND p.id_tecnico = '%id_tecnico%'";


$queries["GET_REPORTE_GENERAL"] = "
SELECT 

s.nro_sobre, 
s.fecha_creacion,
s.nombre_paciente,
s.id_vale_venta as nro_vale_venta,
s.estado,
su.descripcion as nombre_sucursal, 
vv.numero_documento,
vv.fecha_emision,
vv.estado as estado_vv,
t.nombre as nombre_tecnico,
vv.orden_compra as nro_orden_compra,
rl.fecha  as fecha_confeccion,
s.fecha_finaliza as fecha_entrega

FROM sucursal as su, vale_venta as vv, 
sobre as s 
LEFT JOIN reserva_laboratorio as rl USING(nro_sobre)
LEFT JOIN tecnico as t USING(id_tecnico)
WHERE s.nro_sobre != 0
AND SUBSTR(s.fecha_creacion,1,8) >= '%fecha1%'
AND SUBSTR(s.fecha_creacion,1,8) <= '%fecha2%'
AND s.id_sucursal LIKE '%id_sucursal%'
AND s.nombre_paciente LIKE '%%paciente%%'
AND s.nro_sobre LIKE '%%nro_sobre%%'
AND s.id_vale_venta LIKE '%%id_vale_venta%%'
AND su.id_sucursal = s.id_sucursal
AND vv.id_vale_venta = s.id_vale_venta
AND vv.orden_compra LIKE '%%orden_compra%%'
AND vv.estado != 9
AND s.estado LIKE '%estado%'
LIMIT 200
";
$queries["GET_LISTADO_VENTAS_POR_FAMILIA"] = "
SELECT fam.id_familia, fam.descripcion, sum(dv.total*(1-dv.extra1/100)*dv.cantidad) as total_por_familia, sum(dv.costo) as costo_por_familia, sum(dv.cantidad) as cantidad_ventas 
from familia fam ,detalle_vale_venta dv, vale_venta ven, producto pro
where fam.id_familia = pro.id_familia
and pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.fecha_emision >='%fecha_inicio%' and ven.fecha_emision <= '%fecha_termino%' 
and ven.id_sucursal LIKE '%id_sucursal%'
and ven.id_vendedor LIKE '%id_vendedor%'
and pro.id_proveedor LIKE '%id_proveedor%'
and fam.id_familia LIKE '%id_familia%'
and ven.estado > 0
and ven.estado <> 9
and dv.estado <> 8
GROUP BY fam.id_familia
ORDER BY total_por_familia DESC
";

$queries["GET_LISTADO_VENTAS_POR_SUBFAMILIA"] = "
SELECT fam.descripcion as descripcion_familia, subfam.id_subfamilia,  subfam.id_familia, subfam.descripcion, sum(dv.total*(1-dv.extra1/100)*dv.cantidad) as total_por_subfamilia, sum(dv.costo*dv.cantidad) as costo_por_subfamilia, sum(dv.costo) as costo_unitario, sum(dv.cantidad) as cantidad_ventas
from familia fam, subfamilia subfam ,detalle_vale_venta dv, vale_venta ven , producto pro
where subfam.id_subfamilia = pro.id_subfamilia
and fam.id_familia = subfam.id_familia
and pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.fecha_emision >='%fecha_inicio%' and ven.fecha_emision <= '%fecha_termino%'
and subfam.id_familia = '%id_familia%'
and ven.id_sucursal LIKE '%id_sucursal%'
and ven.id_vendedor LIKE '%id_vendedor%'
and pro.id_proveedor LIKE '%id_proveedor%'
and ven.estado > 0
and ven.estado <> 9
and dv.estado <> 8
and fam.id_familia LIKE '%id_familia%'
GROUP BY subfam.id_subfamilia
ORDER BY total_por_subfamilia  DESC
";

$queries["GET_LISTADO_VENTAS_POR_PRODUCTO"] = "
SELECT sum(dv.total*(1-dv.extra1/100)*dv.cantidad) as total_por_familia, sum(dv.costo*dv.cantidad) as costo_por_familia, sum(dv.costo) as costo_unitario, sum(dv.cantidad) as cantidad_ventas, pro.descripcion
from detalle_vale_venta dv, vale_venta ven , producto pro
where pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.fecha_emision >='%fecha_inicio%' and ven.fecha_emision <= '%fecha_termino%'
and ven.id_sucursal LIKE '%id_sucursal%'
and ven.id_vendedor LIKE '%id_vendedor%'
and pro.id_proveedor LIKE '%id_proveedor%'
and fam.id_familia LIKE '%id_familia%'
and ven.estado > 0
and ven.estado <> 9
and dv.estado <> 8
and pro.codigo_barra LIKE '%codigo_barra%'
group by pro.id_producto
";

$queries["GET_LISTADO_DETALLE_VENTAS_POR_SUBFAMILIA"] = "
SELECT e.razon_social as nombre_proveedor, pro.codigo_barra as codigo_barra, ven.fecha_emision as fecha, s.descripcion as nombre_sucursal,  pro.descripcion as descripcion_producto, fam.descripcion as descripcion_familia, subfam.id_subfamilia,  subfam.id_familia, subfam.descripcion as descripcion_subfamilia, dv.cantidad, dv.total, dv.total*(1-dv.extra1/100)*dv.cantidad as total_producto, dv.costo*dv.cantidad as costo_producto, dv.costo as costo_unitario, ven.id_vale_venta, dv.extra1
from familia fam, subfamilia subfam ,detalle_vale_venta dv, vale_venta ven , producto pro, sucursal s, empresa e
where subfam.id_subfamilia = pro.id_subfamilia
and fam.id_familia = subfam.id_familia
and pro.id_producto = dv.id_producto
and e.id_empresa = pro.id_proveedor
and dv.id_vale_venta = ven.id_vale_venta
and ven.fecha_emision >='%fecha_inicio%' and ven.fecha_emision <= '%fecha_termino%'
and pro.id_subfamilia = '%id_subfamilia%'
and ven.id_sucursal LIKE '%id_sucursal%'
and ven.id_vendedor LIKE '%id_vendedor%'
and pro.id_proveedor LIKE '%id_proveedor%'
and ven.id_sucursal = s.id_sucursal
and ven.estado <> 9
ORDER BY s.id_sucursal,pro.descripcion  ASC
";

$queries["GET_LISTADO_STOCK_POR_FAMILIA"] = "
SELECT fam.id_familia, fam.descripcion, sum(i.stock_actual) as total_por_familia
from familia fam ,inventario i, producto pro
where fam.id_familia = pro.id_familia
and pro.id_producto = i.id_producto
and i.id_sucursal LIKE '%id_sucursal%'
GROUP BY fam.id_familia
ORDER BY total_por_familia DESC
";

$queries["GET_LISTADO_STOCK_POR_SUBFAMILIA"] = "
SELECT fam.descripcion as descripcion_familia, subfam.id_subfamilia,  subfam.id_familia, subfam.descripcion, sum(i.stock_actual) as total_por_subfamilia
from familia fam, subfamilia subfam , inventario i, producto pro
where subfam.id_subfamilia = pro.id_subfamilia
and fam.id_familia = subfam.id_familia
and pro.id_producto = i.id_producto
and i.id_sucursal = '%id_sucursal%'
and subfam.id_familia = '%id_familia%'
GROUP BY subfam.id_subfamilia
ORDER BY total_por_subfamilia  DESC
";

$queries["GET_LISTADO_DETALLE_STOCK_POR_SUBFAMILIA"] = "
SELECT pro.descripcion as descripcion_producto, fam.descripcion as descripcion_familia, subfam.id_subfamilia,  subfam.id_familia, subfam.descripcion as descripcion_subfamilia, i.stock_actual as total_producto, s.descripcion as nombre_sucursal, b.descripcion as nombre_bodega
from familia fam, subfamilia subfam , inventario i, producto pro, sucursal s, bodega b
where subfam.id_subfamilia = pro.id_subfamilia
and fam.id_familia = subfam.id_familia
and pro.id_producto = i.id_producto
and pro.id_subfamilia = '%id_subfamilia%'
and i.id_sucursal = '%id_sucursal%'
and i.id_sucursal = s.id_sucursal
and i.id_bodega = b.id_bodega
and i.stock_actual <> 0
ORDER BY pro.descripcion  ASC
";

$queries["GET_CANTIDAD_COMPRAS_POR_PRODUCTO"] = "
SELECT SUM(detalle_recepcion.cantidad) as TOTAL
FROM recepcion, detalle_recepcion, detalle_orden_compra
WHERE recepcion.fecha_recepcion LIKE '%fecha1%%'
AND recepcion.id_bodega like '%id_bodega%'
AND detalle_recepcion.id_recepcion = recepcion.id_recepcion
AND detalle_orden_compra.id_detalle_orden_compra = detalle_recepcion.id_detalle_orden_compra
AND detalle_orden_compra.id_producto = '%id_producto%'
GROUP BY detalle_orden_compra.id_producto
";

$queries["GET_MONTO_COMPRAS_POR_PRODUCTO"] = "
SELECT SUM(recepcion.total) as MONTO
FROM recepcion, detalle_recepcion, detalle_orden_compra
WHERE recepcion.fecha_recepcion LIKE '%fecha1%%'
AND recepcion.id_bodega like '%id_bodega%'
AND detalle_recepcion.id_recepcion = recepcion.id_recepcion
AND detalle_orden_compra.id_detalle_orden_compra = detalle_recepcion.id_detalle_orden_compra
AND detalle_orden_compra.id_producto = '%id_producto%'
";

$queries["GET_CANTIDAD_VENTAS_POR_PRODUCTO"] = "
SELECT SUM(detalle_vale_venta.cantidad) as TOTAL
FROM vale_venta, detalle_vale_venta, bodega
WHERE vale_venta.fecha_emision LIKE '%fecha1%%' 
AND vale_venta.id_vale_venta = detalle_vale_venta.id_vale_venta
AND detalle_vale_venta.id_producto = '%id_producto%'
AND vale_venta.id_sucursal = bodega.id_sucursal
AND bodega.id_bodega like '%id_bodega%'
AND vale_venta.estado <> 9
GROUP BY detalle_vale_venta.id_producto
";

$queries["GET_MONTO_VENTAS_POR_PRODUCTO"] = "
SELECT SUM(cantidad*total) as TOTAL
FROM vale_venta, detalle_vale_venta, bodega
WHERE vale_venta.fecha_emision LIKE '%fecha1%%' 
AND vale_venta.id_vale_venta = detalle_vale_venta.id_vale_venta
AND detalle_vale_venta.id_producto = '%id_producto%'
AND vale_venta.id_sucursal = bodega.id_sucursal
AND bodega.id_bodega like '%id_bodega%'
AND vale_venta.estado <> 9

";

$queries["GET_LISTADO_VENTAS_POR_PROVEEDOR"] = "
SELECT cp.id_empresa, cp.rut, cp.nombre, sum(dv.total-(dv.total*dv.extra1/100)) as total_por_proveedor,sum(dv.costo) as total_costo_proveedor, sum(dv.total-(dv.total*dv.extra1/100))-sum(dv.costo) as total_utilidad_proveedor, sum(dv.cantidad) as cantidad_ventas
from empresa cp,detalle_vale_venta dv, vale_venta ven , producto pro
where cp.id_empresa = pro.id_proveedor 
and pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.id_sucursal like '%id_sucursal%'
and ven.fecha_emision BETWEEN '%fecha_inicio%' and '%fecha_termino%' 
GROUP BY cp.id_empresa
ORDER BY %order_by%
";

$queries["GET_LISTADO_PRODUCTOS_SIN_MOVIMIENTO"] = "
SELECT cp.id_empresa, cp.rut, cp.nombre, sum(dv.total-(dv.total*dv.extra1/100)) as total_por_proveedor,sum(dv.costo) as total_costo_proveedor, sum(dv.total-(dv.total*dv.extra1/100))-sum(dv.costo) as total_utilidad_proveedor, sum(dv.cantidad) as cantidad_ventas
from empresa cp,detalle_vale_venta dv, vale_venta ven , producto pro
where cp.id_empresa = pro.id_proveedor 
and pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.id_sucursal like '%id_sucursal%'
and ven.fecha_emision BETWEEN '%fecha_inicio%' and '%fecha_termino%' 
GROUP BY cp.id_empresa
ORDER BY %order_by%
";




$queries["GET_LISTADO_DETALLE_VENTAS_POR_PROVEEDOR"] = "
SELECT suc.descripcion as descripcion_sucursal, cp.id_empresa, pro.id_producto, pro.descripcion, pro.codigo_barra, pro.ultimo_precio_compra, cp.nombre, sum(dv.cantidad) as cantidad_ventas, sum((dv.total-(dv.total*dv.extra1/100))*dv.cantidad) as total_vendido, pro.ult_fecha_recepcion, fam.descripcion as descripcion_familia
from empresa cp,detalle_vale_venta dv, vale_venta ven , producto pro, sucursal suc, familia fam
where cp.id_empresa = pro.id_proveedor 
and pro.descripcion like '%descripcion%'
and cp.id_empresa = '%id_cliente_proveedor%'
and pro.id_producto = dv.id_producto
and dv.id_vale_venta = ven.id_vale_venta
and ven.id_sucursal = suc.id_sucursal
and ven.fecha_emision BETWEEN '%fecha_inicio%' and '%fecha_termino%' 
and ven.id_sucursal LIKE '%id_sucursal%'
and pro.id_familia = fam.id_familia
GROUP BY ven.id_sucursal,pro.id_producto
ORDER BY %order_by%
";

$queries["GET_CANTIDAD_BAJAS_TECNICO"] = "
SELECT COUNT(*) as TOTAL
FROM deterioro_material
WHERE fecha_baja >= '%fecha1%%'
AND fecha_baja <= '%fecha2%%'
AND id_responsable like '%id_tecnico%'
";

$queries["GET_COSTO_BAJAS_TECNICO"] = "
SELECT SUM(monto) as TOTAL
FROM deterioro_material
WHERE fecha_baja >= '%fecha1%%'
AND fecha_baja <= '%fecha2%%'
AND id_responsable like '%id_tecnico%'
";

$queries["GET_CANTIDAD_COMPRA_CRISTALES"] = "
SELECT COUNT(*) as TOTAL
FROM detalle_orden_compra doc, orden_compra oc, producto p
WHERE oc.id_orden_compra = doc.id_orden_compra
AND doc.id_producto = p.id_producto
AND p.id_familia = 8
AND oc.id_sucursal like '%id_sucursal%'
AND fecha_documento >= '%fecha1%'
AND fecha_documento <= '%fecha2%'
AND oc.id_proveedor like '%id_proveedor%'
";

$queries["GET_CANTIDAD_CRISTALES_OC"] = "
SELECT COUNT(*) as TOTAL
FROM detalle_orden_compra doc, orden_compra oc, producto p
WHERE oc.id_orden_compra = doc.id_orden_compra
AND doc.id_producto = p.id_producto
AND p.id_familia = 8
AND oc.id_orden_compra like '%id_orden_compra%'
";

$queries["GET_MONTO_NETO_OC"] = "
SELECT sum(total/cantidad) as NETO
FROM detalle_orden_compra doc
WHERE doc.id_orden_compra like '%id_orden_compra%'
";

$queries["GET_CANTIDAD_CUMPLEN_PLAZO"] = "
SELECT COUNT(*) as TOTAL
FROM detalle_solicitud_insumos
WHERE cumple_plazo like '1'
AND id_sucursal like '%id_sucursal%'
AND fecha_recepcion >= '%fecha1%0000'
AND fecha_recepcion <= '%fecha2%2359'
";

$queries["GET_CANTIDAD_NO_CUMPLEN_PLAZO"] = "
SELECT COUNT(*) as TOTAL
FROM detalle_solicitud_insumos
WHERE cumple_plazo like '2'
AND id_sucursal like '%id_sucursal%'
AND fecha_recepcion >= '%fecha1%0000'
AND fecha_recepcion <= '%fecha2%2359'
";

$queries["GET_PRECIO_COMPRA_MAS_ALTO"] = "
SELECT max(precio_unitario) as precio_compra_mas_alto
FROM orden_compra oc, detalle_orden_compra doc
WHERE oc.id_orden_compra = doc.id_orden_compra
AND id_producto like '%id_producto%'
";


$queries["GET_CODIGO_BARRA_SMALL"] = "
SELECT codigo_barra as codigo_barra_small
FROM producto
WHERE id_producto = '%id_producto%'
";

$queries["GET_STOCK_ACTUAL"] = "
SELECT stock_actual
FROM inventario
WHERE id_producto = '%id_producto%'
AND id_bodega = '%id_bodega%'
";

$queries["GET_ARMAZON_VALE_VENTA"] = "
SELECT p.descripcion
FROM detalle_vale_venta dvv, producto p
WHERE p.id_producto = dvv.id_producto
AND (p.id_familia = 7 or p.id_familia = 13)
AND dvv.id_vale_venta = '%id_vale_venta%'
";



?>