<?php
function obtener_fecha_actual(){
	$hoy 		= getdate();
	$ao 		= $hoy["year"];
	$mes 		= $hoy["mon"];
	$dia 		= $hoy["mday"];

	if ($mes < 10)
	$mes = "0".$mes;

	if ($dia < 10)
	$dia = "0".$dia;

	return ($ao.$mes.$dia);
}

function hoy()
{
	return date("YmdHis", mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y")));
}

function obtener_hora_actual(){
	$hoy 		= getdate();
	$horas 		= $hoy["hours"];
	$minutos 	= $hoy["minutes"];
	$segundos 	= $hoy["seconds"];

	if ($horas < 10)
	$horas = "0".$horas;

	if ($minutos < 10)
	$minutos = "0".$minutos;

	if ($segundos < 10)
	$segundos = "0".$segundos;

	return ($horas.$minutos.$segundos);
}

function expandir_hora($hora){
	$hor = substr($hora,0,2);
	$min = substr($hora,2,2);
	$seg = substr($hora,4,2);
	return "$hor:$min";
}

function cero_izq($valor)
{
	if ($valor < 10)
		$valor = "0".$valor;
	return $valor;
}

function calcular_fecha($numero,$fecha,$tipo){
	$fecha = explode("/",$fecha);
	$date = mktime(0,0,0,$fecha[1],$fecha[0],$fecha[2]);
	switch ($tipo) {
		case "futuro":
			$date2 = strtotime("+$numero days",$date);
		break;
	
		case "pasado":
			$date2 = strtotime("-$numero days",$date);
		break;
	}
	$date2 = strtotime("+$numero days",$date);
	$date2 = getdate($date2);
	$ao = $date2["year"];
	$mes = cero_izq($date2["mon"]);
	$dia = cero_izq($date2["mday"]);
	
	return ($ao.$mes.$dia);
	//debug($fecha);
}

function dia_semana($fecha)
{
	$dias = array('Lunes','Martes','Mircoles','Jueves','Viernes','Sbado','Domingo');
	$dia = $dias[(date('N', strtotime($fecha))) - 1];

	return $dia;

}

function calcular_dias_entre_semana($fecha1,$fecha2)
{
	if ($fecha2 >= $fecha1)
	{
		$fecha = $fecha1;

		while ($fecha <= $fecha2)
		{
//			if (dia_semana($fecha) <> "Sbado" and dia_semana($fecha) <> "Domingo")
			if (dia_semana($fecha) <> "Domingo" and !es_festivo($fecha))
				$count++;
			$fecha = ConvertirFecha_fechaBD(calcular_fecha(1,ConvertirFechaBD_fecha($fecha),"futuro"));

		}
		return $count-1;	
	}		

	if ($fecha1 > $fecha2)
	{
		$fecha = $fecha2;

		while ($fecha <= $fecha1)
		{
			if (dia_semana($fecha) <> "Sbado" and dia_semana($fecha) <> "Domingo")
				$count++;
			$fecha = ConvertirFecha_fechaBD(calcular_fecha(1,ConvertirFechaBD_fecha($fecha),"futuro"));

		}
		return ($count-1)*-1;	
	}		

}

function es_festivo($fecha)
{
	$clog_Feriados = new Controlador_Logico_Feriados();
	$filtro_feriado["fecha"] = $fecha;
	$listado_feriados 	= $clog_Feriados->getListadoFeriados($filtro_feriado);
	if ($listado_feriados)
		return true;
	else
		return false;
}


function calcular_dias_entre($fecha1,$fecha2)
{
	$fecha1 = convertirFechaBD_fecha($fecha1);
	$fecha2 = convertirFechaBD_fecha($fecha2);
	
	$fecha1 = explode("/",$fecha1);
	$fecha2 = explode("/",$fecha2);
	
	$fecha1 = mktime(1,0,0,$fecha1[1],$fecha1[0],$fecha1[2]);
	$fecha2 = mktime(1,0,0,$fecha2[1],$fecha2[0],$fecha2[2]);
	
	$dias = ($fecha1 - $fecha2);
	
	$dias = $dias/(60*60*24);
	return $dias;
}

function calcular_horas($fecha_termino,$fecha_inicio,$decimales){
	$hora_inicio = substr($fecha_inicio,8,2);
	$minu_inicio = substr($fecha_inicio,10,2);
	$segu_inicio = substr($fecha_inicio,12,2);
	$mes_inicio  = substr($fecha_inicio,4,2);
	$dia_inicio  = substr($fecha_inicio,6,2);
	$ao_inicio  = substr($fecha_inicio,0,4);
	
	$hora_termino = substr($fecha_termino,8,2);
	$minu_termino = substr($fecha_termino,10,2);
	$segu_termino = substr($fecha_termino,12,2);
	$mes_termino  = substr($fecha_termino,4,2);
	$dia_termino  = substr($fecha_termino,6,2);
	$ao_termino  = substr($fecha_termino,0,4);
	
	$fi = mktime($hora_inicio,$minu_inicio,$segu_inicio,$mes_inicio,$dia_inicio,$ao_inicio);
	$ft = mktime($hora_termino,$minu_termino,$segu_termino,$mes_termino,$dia_termino,$ao_termino);

	$segundos = $ft-$fi;
	$minutos=$segundos/60;
	$horas=floor($minutos/60);
	$minutos2=$minutos%60;
	$segundos_2=$segundos%60%60%60;

	if($minutos2<10)
		$minutos2='0'.$minutos2;
	
	if($segundos_2<10)
		$segundos_2='0'.$segundos_2;

	if($segundos<60)
		$resultado= round($segundos).' Segundos';
	elseif($segundos>60 && $segundos<3600)
		$resultado= $minutos2.':'.$segundos_2.' Minutos';
	else
		$resultado= $horas.':'.$minutos2.':'.$segundos_2.' Hrs'; 

	return $resultado;
}

function format_rut2($rut)
{
	$rut = number_format($rut, 0, ',', '.').substr($rut,-2,2);
	if (strlen($rut) < 12)
		$rut = "0".$rut;
	return $rut;
}
?>
