<?
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

define('FPDF_FONTPATH','../siaweb_system/pdf/font/');
require('../siaweb_system/pdf/fpdf.php');
include_once("validate_session.php");


$clog_servicio_por_solicitud = new Controlador_Logico_Servicio_por_solicitud();

$id_cotizacion = checkGET("id_cotizacion", 0, "num");
$cotizacion = new Cotizacion();
$cotizacion = Cotizacion_getCotizacion($id_cotizacion);

$solicitud_cotizacion = new Solicitud_cotizacion();
$solicitud_cotizacion = Solicitud_cotizacion_getSolicitud_cotizacion($cotizacion->get_id_solicitud_cotizacion());

$cliente	= Cliente_getCliente($solicitud_cotizacion->id_cliente);
$contacto	= Contacto_getContacto($solicitud_cotizacion->id_contacto);
$vendedor   = Vendedor_getVendedor($solicitud_cotizacion->get_id_vendedor());
$usuario    = Usuario_getUsuario($solicitud_cotizacion->get_id_usuario());

$filtro_servicios_por_solicitud["id_solicitud_cotizacion"] = $id_solicitud_cotizacion;
$listado_servicios_por_solicitud = $clog_servicio_por_solicitud->getListadoServicio_por_solicitud($filtro_servicios_por_solicitud);

$listado_detalles_cotizacion = Detalle_cotizacion_getListadoDetalle_cotizacion($id_cotizacion);

class PDF extends FPDF
{
	//Cabecera de pgina
	function Header()
	{
		//Logo
		$this->Image('imagenes/gordillo/logo.jpg',10,8,33);
		//Arial bold 15
		$this->SetFont('Arial','BU',12);
		//Movernos a la derecha
		//$this->Cell(80);
		//Ttulo

		//Salto de lnea

	}

	//Pie de pgina
	function Footer()
	{
		//Posicin: a 1,5 cm del final
		$this->SetY(-15);
		//Arial italic 8
		$this->SetFont('Arial','I',8);
		//Nmero de pgina
		$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
	}

	//Cargar los datos
	function LoadData($file)
	{
		//Leer las lneas del fichero
		$lines=file($file);
		$data=array();
		foreach($lines as $line)
		$data[]=explode(';',chop($line));
		return $data;
	}

	function BasicTable($header,$data)
	{
		//Cabecera
		foreach($data as $row)
		{
			$this->Cell(0,6,$row,11);
			$this->Ln();
		}
	}

	//Una tabla ms completa
	function ImprovedTable($header,$data)
	{
		$this->Cell($w[$i],7,$header[$i],1,0,'C');
		$this->Ln();
		//Datos
		foreach($data as $row)
		{
			$this->Cell($w[0],6,$row[0],'LR');
			$this->Cell($w[1],6,$row[1],'LR');
			$this->Cell($w[2],6,number_format($row[2]),'LR',0,'R');
			$this->Cell($w[3],6,number_format($row[3]),'LR',0,'R');
			$this->Ln();
		}
		//Lnea de cierre
		$this->Cell(array_sum($w),0,'','T');
	}
}

//Creacin del objeto de la clase heredada
$pdf = new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
/************* ENCABEZADO *****************************************/
$pdf->Cell(0,0,"PRESUPUESTO N".strtoupper($cotizacion->get_id_cotizacion()),0,0,'C');
$pdf->Ln(4);
$pdf->SetFont('Arial','',7);
$pdf->Cell(0,0,"Antofagasta, ".expandirFecha(hoy()),0,1,'R');
$pdf->Ln(12);
/*****************************************/

/************* ANTECEDENTES DEL CLIENTE ***************************/
$pdf->SetFont('Arial','',10);
$pdf->Cell(30,5,"Seores",'',0,'');
$pdf->Cell(110,5,": ".$cliente->get_nombre_cliente(),'0',1,'');

$pdf->Cell(30,5,"Atencin Sr(a)",'',0,'');
$pdf->Cell(110,5,": ".$contacto->get_nombre_contacto(),'0',1,'');

$pdf->Cell(30,5,"Fono",'',0,'');
$pdf->Cell(110,5,": ".$cliente->get_telefono_cliente(),'0',1,'');

if ($cliente->get_fax_cliente()){
	$pdf->Cell(30,5,"Fax",'',0,'');
	$pdf->Cell(110,5,": ".$cliente->get_fax_cliente(),'0',1,'');
}

if ($contacto->get_email_contacto()){
	$pdf->Cell(30,5,"E-mail Contacto",'',0,'');
	$pdf->Cell(110,5,": ".$contacto->get_email_contacto(),'0',1,'');
}
$pdf->Ln(4);
$pdf->Cell(30,5,"Servicio",'',0,'');
$pdf->Cell(110,5,": ".$cotizacion->get_descripcion_gral_cotizacion(),'0',1,'');
/************* FIN ANTECEDENTES DEL CLIENTE ***********************/
$pdf->Ln(8);
/************* DETALLES DE LA COTIZACION ***************************/
$pdf->SetFont('Arial','',7);
$pdf->Cell(10,4,"ITEM",'LT',0,'C');
$pdf->Cell(14,4,"CANTIDAD",'LT',0,'C');
$pdf->Cell(125,4,"DETALLE",'LTR',0,'C');
$pdf->Cell(20,4,"PRECIO UNIT.",'LTR',0,'C');
$pdf->Cell(0,4,"TOTAL",'LTR',1,'C');

$detalle_cotizacion = new Detalle_cotizacion();
$total_neto = 0;
foreach ($listado_detalles_cotizacion as $key => $detalle_cotizacion) {
	$pdf->Cell(10,4,$key+1,'LT',0,'C');
	$pdf->Cell(14,4,$detalle_cotizacion->get_cantidad(),'LT',0,'C');
	$pdf->Cell(125,4,$detalle_cotizacion->get_descripcion_detalle_cotizacion(),'LTR',0,'L');
	$pdf->Cell(20,4,"$" . number_format($detalle_cotizacion->get_total_detalle_cotizacion()/$detalle_cotizacion->get_cantidad(), 0, ".", "."),'LTR',0,'R');
	$pdf->Cell(0,4,"$" . number_format($detalle_cotizacion->get_total_detalle_cotizacion(), 0, ".", "."),'LTR',1,'R');
	$total_neto += $detalle_cotizacion->get_total_detalle_cotizacion();
}
$pdf->Ln(0);
/************* FIN DETALLES DE LA COTIZACION ************************/
$pdf->Cell(0,0,"",'T',0,'C');
$pdf->Ln(4);
$pdf->Cell(149,4,"",'',0,'L');
$pdf->Cell(20,4,"NETO",'LTR',0,'C');
$pdf->Cell(0,4,"$" . number_format($total_neto, 0, ".", "."),'LTR',1,'R');

$pdf->Cell(149,4,"",'',0,'L');
$pdf->Cell(20,4,"IVA",'LTR',0,'C');
$pdf->Cell(0,4,"$" . number_format($total_neto*0.19, 0, ".", "."),'LTR',1,'R');

$pdf->Cell(149,4,"",'',0,'L');
$pdf->Cell(20,4,"TOTAL",'LTBR',0,'C');
$pdf->Cell(0,4,"$" . number_format($total_neto*1.19, 0, ".", "."),'LTBR',1,'R');
$pdf->Ln(4);

$pdf->SetFont('Arial','',8);
$pdf->Cell(30,5,"Tipo Solicitud",'',0,'');
$pdf->Cell(110,5,": ".$solicitud_cotizacion->get_prioridad(),'0',1,'');

$pdf->SetFont('Arial','',8);
$pdf->Cell(30,5,"Validez",'',0,'');
$pdf->Cell(110,5,": ".$cotizacion->get_dias_validez(),'0',1,'');

$pdf->SetFont('Arial','',8);
$pdf->Cell(30,5,"Condicin de Pago",'',0,'');
$pdf->Cell(110,5,": ".$cotizacion->get_dias_condicion_pago(),'0',1,'');

$pdf->Ln(4);
$pdf->SetFont('Arial','',8);
$pdf->Cell(150,5,"",'',0,'');
$pdf->Cell(0,5,$vendedor->get_nombre_vendedor(),'0',1,'C');
$pdf->Cell(150,5,"",'',0,'');
$pdf->Cell(0,5,$vendedor->get_email_vendedor(),'0',1,'C');
$pdf->Cell(150,5,"",'',0,'');
$pdf->Cell(0,5,"MAESTRANZA GORDILLO LTDA",'0',1,'C');

$pdf->Ln(6);
$pdf->SetFont('Arial','',7);
$pdf->Cell(0,3,"Cavancha 109 - Fono: (55) 239266 - Fax: (55) 237689 - Email: maestranza@gordillo.cl - Antofagasta",'T',1,'C');

$archivo = "presup_$id_cotizacion.pdf";
$pdf->Output("modulos/reportes/pdf/$archivo");
//header("Location www.lun.com");

include_once("reportes.dibujar");
?>